Macaulay2 » Documentation
Packages » Binomials :: isBinomial
next | previous | forward | backward | up | index | toc

# isBinomial -- testing for unital binomial ideals

- Usage:
    `isBinomial I; isUnital I`
- Inputs:
  - I, an ideal
- Outputs:
  - true if I is binomial, or unital respectively.

## Description

    i1 : R = QQ[x,y,z]

    o1 = R

    o1 : PolynomialRing

    i2 : isBinomial ideal(x^2)

    o2 = true

    i3 : isBinomial ideal(x-y+z,z)

    o3 = true

    i4 : isBinomial ideal(x^3-x)

    o4 = true

    i5 : isUnital ideal (x-z,z-y)

    o5 = true

    i6 : isUnital ideal (x+z)

    o6 = false

    i7 : isUnital ideal (x^2)

    o7 = true

## See also

- isCellular -- testing for cellular binomial ideals

## For the programmer

The object isBinomial is a function closure.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Binomials.m2:1675:0.